<?php
//@2013-06-21 bindera: funkcjonalnosc grup z LDAP Servera


function A_ADM_COMPANY($COMMAND,$VALUE) {
 global $error,$thiss,$result,$LDAP_SERVER_AUTH;
 if($COMMAND == 'POST_VERIFY') {
// list($TYPE,$SMIEC)=split("\)",$TYPE);
//  list($SMIEC,$TYPE)=split("\(",$TYPE);
 // @2013-02-16 TODO przydalo by sie zrobic tu zabezpieczenie tworzenia ADM_CMPANY aby nie było z kosmosu (sqix)
 //  list($TEMP,$SMIEC)=split("%",$_SESSION['ADM_COMPANY']);
 //  if(strstr($_REQUEST['A_ADM_COMPANY'],";")) $error="$error ADM_COMPANY violation - blednie zapisany prefix zarzadzanej firmy dla uzytkownika" ;
 //  if(!strstr(";".$_REQUEST['A_ADM_COMPANY'].";",";".$TEMP)) $error="$error ADM_COMPANY violation - niedostepny prefix zarzadzanej firmy dla uzytkownika" ;
 } else  if (strstr($_SESSION[$thiss->DETECT_TABLE_COLUMN]['PERMEDIT']['A_ADM_COMPANY'],"W")) {
  if (($_SESSION['CURRENT_MENU']==$thiss->DETECT_EDIT_FUNCTION)||($_SESSION['CURRENT_MENU']=='NEW_RECORD')) {
 		 if(isset($_SESSION['AUTH_LDAP_CLIENT__LDAP_GROUPS'])) {
  				echo "<font size=-2>Zarzadzanie grupami w serwerze LDAP ".$LDAP_SERVER_AUTH." przez GUI serwera</font><br>" ;
				echo '<select name="A_ADM_COMPANY">';
				echo '\n<option name=""> </option>';

			 foreach($_SESSION['AUTH_LDAP_CLIENT__LDAP_GROUPS'] as $ind=>$val) {
	 			    if((!in_array($ind,$_SESSION['AUTH_LDAP_CLIENT__LDAP_USERS'][$_SESSION['ADM_ACCOUNT']]) )&&($ind!=$VALUE)) continue;
	 				echo '\n<option name="'.$ind.'"';
				 	if($ind==$_SESSION[$thiss->DETECT_TABLE_COLUMN]['EDITRECORD']['A_ADM_COMPANY']) echo " selected ";
	 				echo ">".$ind."</option>";
  }
		echo "</select>";
	
	} else GETFORMITEM($_SESSION[$thiss->DETECT_TABLE_COLUMN]['EDITRECORD']['A_ADM_COMPANY'],$_SESSION[$thiss->DETECT_TABLE_COLUMN]['TYPE']['A_ADM_COMPANY'],'A_ADM_COMPANY');


 }
 } else echo $_SESSION[$thiss->DETECT_TABLE_COLUMN]['EDITRECORD']['A_ADM_COMPANY'];
}


?>
